openapi: 3.0.1
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: http://localhost:8080
    description: Generated server url
paths:
  /api/hostsettings:
    get:
      tags:
        - host-settings-api
      operationId: getApiHostsettings
      parameters:
        - name: id
          in: query
          required: true
          schema:
            type: string
      responses:
        "200":
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/HostSettings'
    post:
      tags:
        - host-settings-api
      operationId: addHostSettings
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HostSettings'
        required: true
      responses:
        "200":
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/HostSettings'
  /api/hostsettings/all:
    get:
      tags:
        - host-settings-api
      operationId: getAllHostsettings
      responses:
        "200":
          description: OK
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/HostSettings'
components:
  schemas:
    HostSettings:
      required:
        - type
        - url
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        email:
          type: string
        socialNetworks:
          type: array
          items:
            type: string
        type:
          type: string
          enum:
            - BETA
            - AVAILABLE
            - MIXED
